Query store information
GET https://{handle}.myshopline.com/admin/openapi/v20261201/merchants/shop.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Query a store's information, including the store ID, store name, primary domain, currency, and other details.
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
dataobject
Response data.domain stringPrimary domain for a store. Example:handle.myshopline.com.Example:handle.myshopline.comlocation_country_code stringThe country or region code where the store is located, followingISO 3611-1international standards. Example:US.Example:CNupdated_at stringThe update date and time for the store's basic settings, including the store name, domain name, transaction currency, email, and time zone. Format:ISO 8601. Example:2023-04-12T22:59:52+08:00.Example:2021-09-16T13:03:48+08:00created_at stringThe date and time when the store was created. Format:ISO 8601. Example:2023-04-12T22:59:52+08:00Example:2023-04-12T22:59:52+08:00email stringThe merchant's email address used for communication with SHOPLINE.Example:foo@shoplineapp.comlanguage stringThe default language used for merchant-customer communication in the message center. You can change this in the SHOPLINE Admin under Settings > Languages.Example:enmerchant_id stringThe corresponding ID for the store's merchant.Example:4216472541standard_logo stringThe standard logo used for the store.Example:https://d2w9suv6wak03e.cloudfront.net/image/store/3100111249/1624603774370/32c8ea2e39ad480fa7a94d36ce013f25.png?w=102&h=113biz_store_status integerThe business status of the store. Valid values are:1: To be activated2: Open3: Closed4: Frozen5: Deactivated
Example:1currency stringThe settlement currency used by the buyer when placing orders in the store. The value of this parameter is a three-letter currency code that follows theISO 4217standard. For example,USD.Example:USDcustomer_email stringThe merchant's email address for customer communication.Example:bar@shopline.comid longThe store's unique identifier.Example:1631700219512sales_channelsobject[]
A list of sales channels currently installed in the store.channel_handle stringThe unique identifier for the sales channel.Example:webname stringThe name of the store.Example:Shopline
API Explorer
Debugger
Examples
Was this article helpful to you?